hls-plugin-api-2.9.0.0: Haskell Language Server API for plugin communication

Safe Haskell | None
Language | GHC2021

Ide.Plugin.ConfigUtils

Synopsis

- pluginsToDefaultConfig :: IdePlugins a -> Value
- pluginsToVSCodeExtensionSchema :: IdePlugins a -> Value

# Documentation

pluginsToDefaultConfig :: IdePlugins a -> Value #

Generates a default `Config`, but remains only effective items

pluginsToVSCodeExtensionSchema :: IdePlugins a -> Value #

Generates json schema used in haskell vscode extension Similar to `pluginsToDefaultConfig` but simpler, since schema has a flatten structure